//
// SydB☮x: seccomp and landlock based application sandbox with support for namespaces
// fuzz/src/canonicalize.rs: Fuzz target for path canonicalization
//
// Copyright (c) 2023 Ali Polatel <alip@chesswob.org>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#![no_main]

use std::{ffi::OsString, os::unix::ffi::OsStringExt};

use libfuzzer_sys::fuzz_target;
use syd::fs::{canonicalize, MissingHandling};

fuzz_target!(|data: &[u8]| {
    // Call the canonicalize function
    let _ = canonicalize(
        &OsString::from_vec(data.to_vec()),
        true,
        MissingHandling::Missing,
    );
});
